<section class="content-container">
  <div class="content-header__wrapper">
    <h2 class="content-header__title">World countries list</h2>
    <a [routerLink]="['/country/create']">
      <app-button
        [isVisible]="true"
        [specialButtonText]="'Add country'"
      ></app-button>
    </a>
  </div>
  <div class="table-section">
    <table class="table-container">
      <tr class="table-head-row">
        <ng-container *ngFor="let item of tableHeaders">
          <th class="table-head-cell">{{item}}</th>
        </ng-container>
      </tr>
      <td *ngIf="(isLoading$ | async)" class="loader-cell" colspan="10">
        <app-loader
          [color]="'var(--green)'"
          [size]="'80px'">
        </app-loader>
      </td>
      <ng-container *ngFor="let country of (countries$ | async); trackBy:country">
        <tr class="table-body-row">
          <td class="table-body-cell">{{country.id}}</td>
          <td class="table-body-cell">{{country.country_name}}</td>
          <td class="table-body-cell">{{country.gross_domestic_product}}</td>
          <td class="table-body-cell">{{country.population}}</td>
          <td class="table-body-cell">{{country.currency}}</td>
          <td class="table-body-cell">{{country.president}}</td>
          <td class="table-body-cell">{{country.average_salary}}</td>
          <td class="table-body-cell">{{country.about}}</td>
          <td class="table-body-cell">
            <a [routerLink]="['/country/edit', country.id]">
              <app-edit-icon [color]="'var(--black)'"></app-edit-icon>
            </a>
            <a [routerLink]="['/country/remove', country.id]">
              <app-trash-icon [color]="'var(--red)'"></app-trash-icon>
            </a>
          </td>
        </tr>
      </ng-container>
    </table>
  </div>
</section>


